## This playbook deploys a KDE desktop machine for LinuxMuster.
---
- name: apply configuration to the machines
  hosts: all
  remote_user: ansible
  become: yes

  vars:
    domain: "{{ ansible_domain }}"
    kerberize_uris: qgm.lan
    realm: QGM.LAN
    serverhostname: server
    smb_server: server
    apt_conf: Acquire::http::Proxy "http://netboot.qgm.lan:3142/";
    ntp_serv: server.qgm.lan
    proxy: http://firewall.qgm.lan:3128
    no_proxy: firewall.qgm.lan, server.qgm.lan, qgm.lan

    ## PAM mount nextcloud, remove or leave empty to skip:
    web_dav: https://wolke.qg-moessingen.de/remote.php/dav/files/%(USER)

    ## Local mirror for mscorefonts. Remove or leave empty to use no mirror:
    mirror_msfonts: http://netboot.qgm.lan/mscorefonts/
    
    ## Local Mirror for Greenfoot and BlueJ. Leave empty to skip installation of bluej and greenfoot
    mirror_javadev: http://netboot.qgm.lan/javadev/
    ## Bluej/Greenfoot Versionen
    bluej_target_version: "5.2.0"
    greenfoot_target_version: "3.7.1"


    # Linbo Passwort
    rsyncsecret: Muster!
    ## Use grub-mkpasswd-pbkdf2: to calculate the password hash, this hash is for "geheim":
    grub_pwd: 'grub.pbkdf2.sha512.10000.775CB8C7FDA6892B684049EC0257245BA886719264ED9CDB3A7543B3562CC71BA70DB31F3550586D1F41642B13AEF61857FE009AF891D0854A8383251C55119D.30056755AF00EA171069E591D3CA18A592C8C5DEC7E0DEE957AC23A51F58CC5E05231AC49674EC19F2BACAD7D510DF58A157840596F0247054C7FD42C5D43BE7'
    nfs4: false
    extra_pkgs:
      - vim
      - mc
      - tmux
      - console-setup
      - krb5-user
      - unattended-upgrades
      - debconf-utils
      - ctorrent
    extra_pkgs_bpo: [] # [ linux-image-amd64 ]

  roles:
    - up2date_debian
    - lmn_kde
    - lmn_qgm
    - lmn_qgsddm
    - lmn_qglaptop
